@ECHO OFF
REM ==========================================================
REM churn.bat -- build stmf10x.a                             =
REM ==========================================================


SET cfiles=stmI2CIO.c stmBitIO.c stmSysIO.c

SET cfiles=%cfiles% public\core*.c public\stm32*.c public\misc.c public\sys*.c

REM Modify warnings for a 'clean' compile
SET cextra=-Wno-missing-prototypes

REM The STM libraries make assumptions about the device type
REM (high-density, etc.); these can be overridden here.

SET cextra=%cextra% -DSTM32F10X_HD

SET libs=tollos
REM SET lax=1
SET lib=1
CALL ..\tollos\charm.bat %cfiles%

